# eric4.Plugins.ViewManagerPlugins.MdiArea.MdiArea

Module implementing the mdi area viewmanager class.

### Global Attributes

None

### Classes

MdiArea | Class implementing the mdi area viewmanager class.

### Functions

None

## MdiArea

Class implementing the mdi area viewmanager class.

### Signals

editorChanged(string)
  emitted when the current editor has changed

### Derived from

QMdiArea, ViewManager

### Class Attributes

None

### Class Methods

None

### Methods

MdiArea | Constructor
__iconizeAllWindows | Private slot to iconize all windows.
__restoreAllWindows | Private slot to restore all windows.
__setSubWindowIcon | Private method to set the icon of a subwindow given it's internal widget.
__subWindowActivated | Private slot to handle the windowActivated signal.
_addView | Protected method to add a view (i.e.
_initWindowActions | Protected method to define the user interface actions for window handling.
_modificationStatusChanged | Protected slot to handle the modificationStatusChanged signal.
_removeAllViews | Protected method to remove all views (i.e.
_removeView | Protected method to remove a view (i.e.
_showView | Private method to show a view (i.e.
_syntaxErrorToggled | Protected slot to handle the syntaxerrorToggled signal.
activeWindow | Private method to return the active (i.e.
canCascade | Public method to signal if cascading of managed windows is available.
canSplit | public method to signal if splitting of the view is available.
canTile | Public method to signal if tiling of managed windows is available.
cascade | Public method to cascade the managed windows.
eventFilter | Public method called to filter the event queue.
setEditorName | Public method to change the displayed name of the editor.
showWindowMenu | Public method to set up the viewmanager part of the Window menu.
tile | Public method to tile the managed windows.

### Static Methods

None

#### MdiArea (Constructor)

MdiArea(parent)

Constructor

parent
  parent widget (QWidget)
ui
  reference to the main user interface
dbs
  reference to the debug server object

#### MdiArea.__iconizeAllWindows

__iconizeAllWindows()

Private slot to iconize all windows.

#### MdiArea.__restoreAllWindows

__restoreAllWindows()

Private slot to restore all windows.

#### MdiArea.__setSubWindowIcon

__setSubWindowIcon(widget, icon)

Private method to set the icon of a subwindow given it's internal widget.

widget
  reference to the internal widget (QWidget)
icon
  reference to the icon (QIcon)

#### MdiArea.__subWindowActivated

__subWindowActivated(subWindow)

Private slot to handle the windowActivated signal.

subWindow
  the activated subwindow (QMdiSubWindow)

#### MdiArea._addView

_addView(win, fn = None, noName = "")

Protected method to add a view (i.e. window)

win
  editor window to be added
fn
  filename of this editor
noName
  name to be used for an unnamed editor (string or QString)

#### MdiArea._initWindowActions

_initWindowActions()

Protected method to define the user interface actions for window handling.

#### MdiArea._modificationStatusChanged

_modificationStatusChanged(m, editor)

Protected slot to handle the modificationStatusChanged signal.

m
  flag indicating the modification status (boolean)
editor
  editor window changed

#### MdiArea._removeAllViews

_removeAllViews()

Protected method to remove all views (i.e. windows)

#### MdiArea._removeView

_removeView(win)

Protected method to remove a view (i.e. window)

win
  editor window to be removed

#### MdiArea._showView

_showView(win, fn = None)

Private method to show a view (i.e. window)

win
  editor window to be shown
fn
  filename of this editor

#### MdiArea._syntaxErrorToggled

_syntaxErrorToggled(editor)

Protected slot to handle the syntaxerrorToggled signal.

editor
  editor that sent the signal

#### MdiArea.activeWindow

activeWindow()

Private method to return the active (i.e. current) window.

Returns:
  reference to the active editor

#### MdiArea.canCascade

canCascade()

Public method to signal if cascading of managed windows is available.

Returns:
  flag indicating cascading of windows is available

#### MdiArea.canSplit

canSplit()

public method to signal if splitting of the view is available.

Returns:
  flag indicating splitting of the view is available.

#### MdiArea.canTile

canTile()

Public method to signal if tiling of managed windows is available.

Returns:
  flag indicating tiling of windows is available

#### MdiArea.cascade

cascade()

Public method to cascade the managed windows.

#### MdiArea.eventFilter

eventFilter(watched, event)

Public method called to filter the event queue.

watched
  the QObject being watched
event
  the event that occurred

Returns:
  flag indicating, whether the event was handled (boolean)

#### MdiArea.setEditorName

setEditorName(editor, newName)

Public method to change the displayed name of the editor.

editor
  editor window to be changed
newName
  new name to be shown (string or QString)

#### MdiArea.showWindowMenu

showWindowMenu(windowMenu)

Public method to set up the viewmanager part of the Window menu.

windowMenu
  reference to the window menu

#### MdiArea.tile

tile()

Public method to tile the managed windows.

Up